/* 
	Google Maps
	::by tenderfeel(tenderfeel@gmail.com)
*/

google.load("maps", "2",{"callback" : mapsLoaded,"language" : "ja"});


function mapsLoaded() {
if (google.maps.BrowserIsCompatible()) {
var map = new google.maps.Map2(document.getElementById(gmConfig.gmDivID));
var point = new google.maps.LatLng(gmConfig.gmLat,gmConfig.gmLng);
var marker = new google.maps.Marker(point);
if(gmConfig.LMap_Controler){map.addControl(new google.maps.LargeMapControl3D());}
if(gmConfig.Type3_Controler){map.addControl(new google.maps.MapTypeControl());}
if(gmConfig.Type2_Controler){map.addControl(new google.maps.HierarchicalMapTypeControl());}
if(gmConfig.Scale_Controler){map.addControl(new google.maps.ScaleControl());}
if(gmConfig.OV_Controler){map.addControl(new google.maps.OverviewMapControl());}
if(gmConfig.SmallZoomControl){map.addControl(new google.maps.SmallZoomControl3D());}
if(gmConfig.NavLabelControl){map.addControl(new google.maps.NavLabelControl());}
if(gmConfig.WheelZoom){map.enableScrollWheelZoom();}
if(gmConfig.DClickZoom){map.enableDoubleClickZoom();}
map.setCenter(point,gmConfig.gmScope);
if(gmConfig.markerAdd){map.addOverlay(marker);}
if(gmConfig.WindowHTML != "" && gmConfig.markerAdd){
google.maps.Event.addListener(marker, 'click', function() {marker.openInfoWindow(gmConfig.WindowHTML);});}
else if(gmConfig.WindowHTML != "" && !gmConfig.markerAdd){map.openInfoWindow(point,gmConfig.WindowHTML);}
}
window.onunload=function(){google.maps.Unload();}
}
